exec("./DDRP_MainGUI.gui");				//open the gui

$remapDivision[$remapCount] = "Blocktopia";		//the keybind to open it
$remapName[$remapCount] = "Open Main GUI";
$remapCmd[$remapCount] = "btopgui";
$remapCount++;						//other keybinds will be in this division later

function btopgui()
{	
	canvas.pushDialog(DDRP_MainGUI);		//open gui command
}

function renameLot()
{
	%name = DDRPRenameBar.getValue();		//The buy and sell buttons dont need this
	commandtoserver('renamelot',%name);
}

function clientcmdresourcedata(%resource,%amount)	//the main function, updates resource data, including money
{
	if(%resource == 1 || %resource $= "Food")
	{
		DDRPFoodText.setValue("Food: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPFoodBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 2 || %resource $= "Gas")
	{
		DDRPGasText.setValue("Gas: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPGasBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 3 || %resource $= "Tech")
	{
		DDRPTechText.setValue("Tech: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPTechBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 4 || %resource $= "Material" || %resource $= "Mats" || %resource $= "Mat" || %resource $= "Materials")
	{
		DDRPMaterialText.setValue("Material: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPMaterialBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 5 || %resource $= "Iron")
	{
		DDRPIronText.setValue("Iron: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPIronBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 6 || %resource $= "Zinc")
	{
		DDRPZincText.setValue("Zinc: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPZincBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 7 || %resource $= "Tin")
	{
		DDRPTinText.setValue("Tin: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPTinBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 8 || %resource $= "Copper")
	{
		DDRPCopperText.setValue("Copper: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPCopperBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 9 || %resource $= "Potatos" ||  %resource $= "Potato")
	{
		DDRPPotatosText.setValue("Potatos: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPPotatosBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 10 || %resource $= "Tomatos" || %resource $= "Tomato")	
	{
		DDRPTomatosText.setValue("Tomatos: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPTomatosBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 11 || %resource $= "Wheat" || %resource $= "Wheats")	
	{
		DDRPWheatsText.setValue("Wheat: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPWheatsBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 12 || %resource $= "Corn" || %resource $= "Corns")	
	{
		DDRPCornsText.setValue("Corn: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPCornsBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 13 || %resource $= "Wood")
	{
		DDRPWoodText.setValue("Wood: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPWoodBar.extent = %amount SPC "11";
		return;
	}
	else if(%resource == 14 || %resource $= "Money" || %resource $= "Cash")
	{
		DDRPMoneyText.setValue("Money: " @ %amount @ "$");
		return;
	}
	else if(%resource == 15 || %resource $= "lightoil")
	{
		DDRPlightoilText.setValue("Light Oil: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPlightoilBar.extent = %amount SPC "11";
	}
	else if(%resource == 16 || %resource $= "darkoil")
	{
		DDRPdarkoilText.setValue("Dark Oil: " @ %amount);
		if(%amount < 0)
			%amount = 0;
		DDRPdarkoilBar.extent = %amount SPC "11";
	}
	else
	{
		echo("BTOP - Error - Invalid resource in update given!");
		return;
	}
}

function DDRPmining()
{
	DDRPiron.visible = true;
	DDRPzinc.visible = true;
	DDRPtin.visible = true;
	DDRPcopper.visible = true;

	DDRPpotatos.visible = false;
	DDRPcorns.visible = false;
	DDRPwheats.visible = false;
	DDRPtomatos.visible = false;
	
	DDRPlightoil.visible = false;
	DDRPdarkoil.visible = false;
}

function DDRPfarming()
{
	DDRPiron.visible = false;
	DDRPzinc.visible = false;
	DDRPtin.visible = false;
	DDRPcopper.visible = false;

	DDRPpotatos.visible = true;
	DDRPcorns.visible = true;
	DDRPwheats.visible = true;
	DDRPtomatos.visible = true;
	
	DDRPlightoil.visible = false;
	DDRPdarkoil.visible = false;
}


function DDRPother()
{
	DDRPiron.visible = false;
	DDRPzinc.visible = false;
	DDRPtin.visible = false;
	DDRPcopper.visible = false;

	DDRPpotatos.visible = false;
	DDRPcorns.visible = false;
	DDRPwheats.visible = false;
	DDRPtomatos.visible = false;
	
	DDRPlightoil.visible = true;
	DDRPdarkoil.visible = true;
}

function clientcmdmoneydata(%amount)
{
	DDRPMoneyText.setValue("Money: " @ %amount @ "$");		//a bit redundant, but also errorproofs it
}

function clientcmdlotname(%name)
{
	DDRPLotText.setValue("Name: " @ %name);
}

function clientcmdlotcoords(%x,%y)
{
	DDRPPositionText.setValue("Position: " @ %x @ "," @ %y);
}
									//these too are also redundant for errorproofing
function clientcmdlotposition(%pos)					//if I want to change position format, I don't need to make a whole new version
{
	DDRPPositionText.setValue(%pos);
}

function clientcmdlotowner(%owner)
{
	DDRPOwnerText.setValue("Owner: " @ %owner);
}

function clientcmdlotvalue(%value)
{
	DDRPValueText.setValue(%value);
}

function clientcmdDDRPTable(%a,%b,%c,%d,%e,%f,%g,%h,%i,%j,%k,%l)
{
	DDRP_Grid_11.setValue(%a);					//this sure is a big one
	DDRP_Grid_12.setValue(%b);
	DDRP_Grid_13.setValue(%c);

	DDRP_Grid_21.setValue(%d);
	DDRP_Grid_22.setValue(%e);
	DDRP_Grid_23.setValue(%f);

	DDRP_Grid_31.setValue(%g);
	DDRP_Grid_32.setValue(%h);
	DDRP_Grid_33.setValue(%i);

	DDRP_Grid_41.setValue(%j);
	DDRP_Grid_42.setValue(%k);
	DDRP_Grid_43.setValue(%l);
}

function clientcmdsalerytext(%sal)
{
	DDRPSaleryText.setValue(%sal);
}

function clientcmdPlayersText(%players)
{
	DDRPPlayersText.setValue(%players);
}

function clientcmdautosavetext(%as)
{
	DDRPAutosaveText.setValue(%as);
}

function clientcmderrortext(%texT)
{
	DDRPErrorText.setValue(%text);
}

function clientcmdbtophas()
{
	commandtoserver('hasbtop',4);					//Tell the server if we have this mod, and what version
}

function DDRP_MainGUI::onWake(%this)
{
	commandtoserver('openedbtop');
}


