$syj::cvn = 5;						//Version number
$syj::debug = 0;					//debug mode

exec("./Syj_ServerBind.gui");				//create the keybind gui
exec("./overlays.gui");					//create the overlay guis
exec("./overlaycontrol.cs");				//allow server to control overlay guis
exec("./fovcontrol.cs");				//allow server to control fov
exec("./disposableguis.cs");				//allow server to create 'disposable' guis
exec("./keybinds.cs");					//allow server to request keybinds
exec("./btop.cs");					//GUI for Blocktopia

function clientcmdsyjreqsec()				//server scripts can check if the client has the mod
{							//by sending a 'reqsec' command and checking for
	commandtoserver('syjacksec');			//a 'syjackrtb' servercmd responce
	commandtoserver('syjackrtb',$syj::cvn);		//the 'syjacksec' is a legacy command, do not depend on it
}

							//error codes

$syj::error::tmg = 0; 					//too many guis created for that server
$syj::error::gntl = 1;					//gui name too long
$syj::error::ivn = 2;					//there is already a gui by this name
$syj::error::gnf = 3;					//gui not found
$syj::error::bt = 4;					//invalid element type
$syj::error::ati = 5;					//invalid attribute type
$syj::error::zvb = 6;					//to many client keybinds

function syj_error(%error)				//error reporting function
{
	if($syj::debug)					//if using debug mode
		echo("SYJ-ERROR:" SPC %error);		//output to console
	commandtoserver('syjerr',%error);		//either way, send to server
}

package syjconnectarg					//this is better than the old way
{
	function GameConnection::setConnectArgs(%a,%b,%c,%d,%e,%f,%g,%h)
	{
		Parent::setConnectArgs(%a,%b,%c,%d,%e,%f,%g,%h @ "\tSYERJCHEP\t" @ $syj::cvn);
	}
};
activatepackage(syjconnectarg);