function miv(%a) 					//This allows guis to be made invisable via a schedule.
{
	%a.visible = 0;
}

function colorscreen(%color,%duration,%fi,%fo) 		//Meant for sanitized arguments.
{
	eval("%a = coloroverlay" @ %color @ ";");	//There are "better" ways to do this
	%a.fadeinTime = %fi;				//but they won't actually change anything
	%a.fadeoutTime = %fo;
	%a.waittime = %duration;
	%a.visible = 1;
	%a.reset();					//toggle new settings
	schedule(%duration + %fi + %fo,0,miv,%a);	//make invisable later
}

function clientcmddisplaycolor(%color,%time,%fi,%fo)	//actual clientcmd
{
	if(!(%fi > 30))
		%fi = 30;
	if(%fi > 20000)					//fade in and fade out must be between 30ms and 20 seconds
		%fi = 60000;
	if(!(%fo > 30))					//fade times maximum set to a minute
		%fo = 30;
	if(%fo > 20000)
		%fo = 60000;
	if(%time < 100)
		%time = 100;
	if(%time > 10000)				//stay time must be between 100ms and 10 seconds
		%time = 10000;

	if(%color $= "\c0" || %color == 0)
		colorscreen(0,%time,%fi,%fo);
	if(%color $= "\c1" || %color == 1)
		colorscreen(1,%time,%fi,%fo);
	if(%color $= "\c2" || %color == 2)		//now you can use the colorcode or just the number
		colorscreen(2,%time,%fi,%fo);
	if(%color $= "\c3" || %color == 3)
		colorscreen(3,%time,%fi,%fo);
	if(%color $= "\c4" || %color == 4)
		colorscreen(4,%time,%fi,%fo);		//I don't know why, but I decided to use colorcodes
	if(%color $= "\c5" || %color == 5)				//for the actual networking, but immedently convert them
		colorscreen(5,%time,%fi,%fo);
	if(%color $= "\c6" || %color == 6)
		colorscreen(6,%time,%fi,%fo);
	if(%color $= "\c7" || %color == 7)
		colorscreen(7,%time,%fi,%fo);
	if(%color $= "\c8" || %color == 8)
		colorscreen(8,%time,%fi,%fo);
}